XnModuleSkeletonCapabilityInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnBool(* | IsJointAvailable )(XnModuleNodeHandle hGenerator, XnSkeletonJoint eJoint)
XnBool(* | IsProfileAvailable )(XnModuleNodeHandle hGenerator, XnSkeletonProfile eProfile)
XnStatus(* | SetSkeletonProfile )(XnModuleNodeHandle hGenerator, XnSkeletonProfile eProfile)
XnStatus(* | SetJointActive )(XnModuleNodeHandle hGenerator, XnSkeletonJoint eJoint, XnBool bState)
XnBool(* | IsJointActive )(XnModuleNodeHandle hGenerator, XnSkeletonJoint eJoint)
XnStatus(* | RegisterToJointConfigurationChange )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromJointConfigurationChange )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | EnumerateActiveJoints )(XnModuleNodeHandle hGenerator, XnSkeletonJoint *pJoints, XnUInt16 *pnJoints)
XnStatus(* | GetSkeletonJoint )(XnModuleNodeHandle hGenerator, XnUserID user, XnSkeletonJoint eJoint, XnSkeletonJointTransformation *pJoint)
XnStatus(* | GetSkeletonJointPosition )(XnModuleNodeHandle hGenerator, XnUserID user, XnSkeletonJoint eJoint, XnSkeletonJointPosition *pJoint)
XnStatus(* | GetSkeletonJointOrientation )(XnModuleNodeHandle hGenerator, XnUserID user, XnSkeletonJoint eJoint, XnSkeletonJointOrientation *pJoint)
XnBool(* | IsTracking )(XnModuleNodeHandle hGenerator, XnUserID user)
XnBool(* | IsCalibrated )(XnModuleNodeHandle hGenerator, XnUserID user)
XnBool(* | IsCalibrating )(XnModuleNodeHandle hGenerator, XnUserID user)
XnStatus(* | RequestCalibration )(XnModuleNodeHandle hGenerator, XnUserID user, XnBool bForce)
XnStatus(* | AbortCalibration )(XnModuleNodeHandle hGenerator, XnUserID user)
XnStatus(* | SaveCalibrationData )(XnModuleNodeHandle hGenerator, XnUserID user, XnUInt32 nSlot)
XnStatus(* | LoadCalibrationData )(XnModuleNodeHandle hGenerator, XnUserID user, XnUInt32 nSlot)
XnStatus(* | ClearCalibrationData )(XnModuleNodeHandle hGenerator, XnUInt32 nSlot)
XnBool(* | IsCalibrationData )(XnModuleNodeHandle hGenerator, XnUInt32 nSlot)
XnStatus(* | StartTracking )(XnModuleNodeHandle hGenerator, XnUserID user)
XnStatus(* | StopTracking )(XnModuleNodeHandle hGenerator, XnUserID user)
XnStatus(* | Reset )(XnModuleNodeHandle hGenerator, XnUserID user)
XnBool(* | NeedPoseForCalibration )(XnModuleNodeHandle hGenerator)
XnStatus(* | GetCalibrationPose )(XnModuleNodeHandle hGenerator, XnChar *strPose)
XnStatus(* | SetSmoothing )(XnModuleNodeHandle hGenerator, XnFloat fSmoothingFactor)
XnStatus(* | RegisterCalibrationCallbacks )(XnModuleNodeHandle hGenerator, XnModuleCalibrationStart CalibrationStartCB, XnModuleCalibrationEnd CalibrationEndCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterCalibrationCallbacks )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | SaveCalibrationDataToFile )(XnModuleNodeHandle hGenerator, XnUserID user, const XnChar *strFileName)
XnStatus(* | LoadCalibrationDataFromFile )(XnModuleNodeHandle hGenerator, XnUserID user, const XnChar *strFileName)
XnStatus(* | RegisterToCalibrationInProgress )(XnModuleNodeHandle hGenerator, XnModuleCalibrationInProgress CalibrationInProgressCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromCalibrationInProgress )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | RegisterToCalibrationComplete )(XnModuleNodeHandle hGenerator, XnModuleCalibrationComplete CalibrationCompleteCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromCalibrationComplete )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | RegisterToCalibrationStart )(XnModuleNodeHandle hGenerator, XnModuleCalibrationStart handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromCalibrationStart )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## Detailed Description

A set of functions supported by user generators who supports the Skeleton capability.

## Member Data Documentation

## AbortCalibration

XnStatus(* XnModuleSkeletonCapabilityInterface::AbortCalibration) (XnModuleNodeHandle hGenerator, XnUserID user)

## ClearCalibrationData

XnStatus(* XnModuleSkeletonCapabilityInterface::ClearCalibrationData) (XnModuleNodeHandle hGenerator, XnUInt32 nSlot)

## EnumerateActiveJoints

XnStatus(* XnModuleSkeletonCapabilityInterface::EnumerateActiveJoints) (XnModuleNodeHandle hGenerator, XnSkeletonJoint *pJoints, XnUInt16 *pnJoints)

## GetCalibrationPose

XnStatus(* XnModuleSkeletonCapabilityInterface::GetCalibrationPose) (XnModuleNodeHandle hGenerator, XnChar *strPose)

## GetSkeletonJoint

XnStatus(* XnModuleSkeletonCapabilityInterface::GetSkeletonJoint) (XnModuleNodeHandle hGenerator, XnUserID user, XnSkeletonJoint eJoint, XnSkeletonJointTransformation *pJoint)

## GetSkeletonJointOrientation

XnStatus(* XnModuleSkeletonCapabilityInterface::GetSkeletonJointOrientation) (XnModuleNodeHandle hGenerator, XnUserID user, XnSkeletonJoint eJoint, XnSkeletonJointOrientation *pJoint)

## GetSkeletonJointPosition

XnStatus(* XnModuleSkeletonCapabilityInterface::GetSkeletonJointPosition) (XnModuleNodeHandle hGenerator, XnUserID user, XnSkeletonJoint eJoint, XnSkeletonJointPosition *pJoint)

## IsCalibrated

XnBool(* XnModuleSkeletonCapabilityInterface::IsCalibrated) (XnModuleNodeHandle hGenerator, XnUserID user)

## IsCalibrating

XnBool(* XnModuleSkeletonCapabilityInterface::IsCalibrating) (XnModuleNodeHandle hGenerator, XnUserID user)

## IsCalibrationData

XnBool(* XnModuleSkeletonCapabilityInterface::IsCalibrationData) (XnModuleNodeHandle hGenerator, XnUInt32 nSlot)

## IsJointActive

XnBool(* XnModuleSkeletonCapabilityInterface::IsJointActive) (XnModuleNodeHandle hGenerator, XnSkeletonJoint eJoint)

## IsJointAvailable

XnBool(* XnModuleSkeletonCapabilityInterface::IsJointAvailable) (XnModuleNodeHandle hGenerator, XnSkeletonJoint eJoint)

## IsProfileAvailable

XnBool(* XnModuleSkeletonCapabilityInterface::IsProfileAvailable) (XnModuleNodeHandle hGenerator, XnSkeletonProfile eProfile)

## IsTracking

XnBool(* XnModuleSkeletonCapabilityInterface::IsTracking) (XnModuleNodeHandle hGenerator, XnUserID user)

## LoadCalibrationData

XnStatus(* XnModuleSkeletonCapabilityInterface::LoadCalibrationData) (XnModuleNodeHandle hGenerator, XnUserID user, XnUInt32 nSlot)

## LoadCalibrationDataFromFile

XnStatus(* XnModuleSkeletonCapabilityInterface::LoadCalibrationDataFromFile) (XnModuleNodeHandle hGenerator, XnUserID user, const XnChar *strFileName)

## NeedPoseForCalibration

XnBool(* XnModuleSkeletonCapabilityInterface::NeedPoseForCalibration) (XnModuleNodeHandle hGenerator)

## RegisterCalibrationCallbacks

XnStatus(* XnModuleSkeletonCapabilityInterface::RegisterCalibrationCallbacks) (XnModuleNodeHandle hGenerator, XnModuleCalibrationStart CalibrationStartCB, XnModuleCalibrationEnd CalibrationEndCB, void *pCookie, XnCallbackHandle *phCallback)

## RegisterToCalibrationComplete

XnStatus(* XnModuleSkeletonCapabilityInterface::RegisterToCalibrationComplete) (XnModuleNodeHandle hGenerator, XnModuleCalibrationComplete CalibrationCompleteCB, void *pCookie, XnCallbackHandle *phCallback)

## RegisterToCalibrationInProgress

XnStatus(* XnModuleSkeletonCapabilityInterface::RegisterToCalibrationInProgress) (XnModuleNodeHandle hGenerator, XnModuleCalibrationInProgress CalibrationInProgressCB, void *pCookie, XnCallbackHandle *phCallback)

## RegisterToCalibrationStart

XnStatus(* XnModuleSkeletonCapabilityInterface::RegisterToCalibrationStart) (XnModuleNodeHandle hGenerator, XnModuleCalibrationStart handler, void *pCookie, XnCallbackHandle *phCallback)

## RegisterToJointConfigurationChange

XnStatus(* XnModuleSkeletonCapabilityInterface::RegisterToJointConfigurationChange) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

## RequestCalibration

XnStatus(* XnModuleSkeletonCapabilityInterface::RequestCalibration) (XnModuleNodeHandle hGenerator, XnUserID user, XnBool bForce)

## Reset

XnStatus(* XnModuleSkeletonCapabilityInterface::Reset) (XnModuleNodeHandle hGenerator, XnUserID user)

## SaveCalibrationData

XnStatus(* XnModuleSkeletonCapabilityInterface::SaveCalibrationData) (XnModuleNodeHandle hGenerator, XnUserID user, XnUInt32 nSlot)

## SaveCalibrationDataToFile

XnStatus(* XnModuleSkeletonCapabilityInterface::SaveCalibrationDataToFile) (XnModuleNodeHandle hGenerator, XnUserID user, const XnChar *strFileName)

## SetJointActive

XnStatus(* XnModuleSkeletonCapabilityInterface::SetJointActive) (XnModuleNodeHandle hGenerator, XnSkeletonJoint eJoint, XnBool bState)

## SetSkeletonProfile

XnStatus(* XnModuleSkeletonCapabilityInterface::SetSkeletonProfile) (XnModuleNodeHandle hGenerator, XnSkeletonProfile eProfile)

## SetSmoothing

XnStatus(* XnModuleSkeletonCapabilityInterface::SetSmoothing) (XnModuleNodeHandle hGenerator, XnFloat fSmoothingFactor)

## StartTracking

XnStatus(* XnModuleSkeletonCapabilityInterface::StartTracking) (XnModuleNodeHandle hGenerator, XnUserID user)

## StopTracking

XnStatus(* XnModuleSkeletonCapabilityInterface::StopTracking) (XnModuleNodeHandle hGenerator, XnUserID user)

## UnregisterCalibrationCallbacks

void(* XnModuleSkeletonCapabilityInterface::UnregisterCalibrationCallbacks) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterFromCalibrationComplete

void(* XnModuleSkeletonCapabilityInterface::UnregisterFromCalibrationComplete) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterFromCalibrationInProgress

void(* XnModuleSkeletonCapabilityInterface::UnregisterFromCalibrationInProgress) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterFromCalibrationStart

void(* XnModuleSkeletonCapabilityInterface::UnregisterFromCalibrationStart) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterFromJointConfigurationChange

void(* XnModuleSkeletonCapabilityInterface::UnregisterFromJointConfigurationChange) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

The documentation for this struct was generated from the following file:

- XnModuleInterface.h